## org.apache.lucene.search.spell
Class SuggestWordScoreComparator

    java.lang.Object
      org.apache.lucene.search.spell.SuggestWordScoreComparator

All Implemented Interfaces:
  Comparator<SuggestWord>

    public class SuggestWordScoreComparator

extends Object
implements Comparator<SuggestWord>

Score first, then frequency

Constructor Summary
`SuggestWordScoreComparator()`

Method Summary
`int` `compare(SuggestWord first, SuggestWord second)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### SuggestWordScoreComparator

    public SuggestWordScoreComparator()

Method Detail

### compare

    public int compare(SuggestWord first,
                       SuggestWord second)

  Specified by:
    `compare` in interface `Comparator<SuggestWord>`